﻿$ErrorActionPreference = 'Stop'

$toolsPath = Split-Path $MyInvocation.MyCommand.Definition
. $toolsPath\helpers.ps1

$softwareName = 'Microsoft Visual Studio Code'
$version = '1.31.1'
if ($version -eq (Get-UninstallRegistryKey "$softwareName").DisplayVersion) {
  Write-Host "VS Code $version is already installed."
  return
}

$pp = Get-PackageParameters
Close-VSCode

$packageArgs = @{
  packageName    = 'vscode'
  fileType       = 'exe'
  url            = 'https://az764295.vo.msecnd.net/stable/1b8e8302e405050205e69b59abb3559592bb9e60/VSCodeSetup-ia32-1.31.1.exe'
  url64bit       = 'https://az764295.vo.msecnd.net/stable/1b8e8302e405050205e69b59abb3559592bb9e60/VSCodeSetup-x64-1.31.1.exe'

  softwareName   = "$softwareName"

  checksum       = '26985b4d00f7048808b4a7b674de0a77939406334f27d4def2fe1cb51c81fb8a'
  checksumType   = 'sha256'
  checksum64     = 'd661d502bd4551db99f5fa80b5b81f262afe1a2d9aa710945674556c296e722e'
  checksumType64 = 'sha256'

  silentArgs     = '/verysilent /suppressmsgboxes /mergetasks="{0}" /log="{1}\install.log"' -f (Get-MergeTasks), (Get-PackageCacheLocation)
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
